Foreman - Refactor #35013

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Refactor config rake to use Setting DSL
06/03/2022 07:09 AM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: Settings
Target version:
Difficulty: Fixed in Releases: 3.4.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9250
Description

Config rake is still using Setting AR directly, which now fails as some settings are not in database.

Related issues:
Has duplicate Foreman - Bug #35115: host_details_ui settings can not be set t... New

Associated revisions

Revision 55570902 - 06/08/2022 08:48 AM - Ondiej Ezr
Fixes #35013 - config rake uses Setting DSL

config rake was still using obsolete setting access.

History

#1 - 06/03/2022 07:14 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej Ezr

- Pull request https://github.com/theforeman/foreman/pull/9250 added

#2 - 06/08/2022 08:48 AM - The Foreman Bot
- Fixed in Releases 3.4.0 added

#3 - 06/08/2022 09:01 AM - Ondrej Ezr
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|5557090205607dd40dbda8963a67922221107555.

#4 - 03/20/2023 10:14 AM - Alexander Olofsson

- Has duplicate Bug #35115: host_details_ui settings can not be set to false via config rake target added

05/20/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5557090205607dd40dbda8963a67922221107555
http://www.tcpdf.org

